Name: libffi
Version: 3.2.1
Release: 1
License: MIT
Summary: libffi
Url: https://sourceware.org/libffi/

BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool

Source0: ftp://sourceware.org/pub/libffi/libffi-%{version}.tar.gz

Patch0: libffi-configure.ac.patch
Patch1: libffi-include_ffi.h.in.patch
Patch2: libffi-README.patch
Patch3: libffi-include-path.patch


%description
The libffi library provides a portable, high level programming interface to various calling conventions. This allows a programmer to call any function specified by a call interface description at run-time.

FFI stands for Foreign Function Interface. A foreign function interface is the popular name for the interface that allows code written in one language to call code written in another language. The libffi library really only provides the lowest, machine dependent layer of a fully featured foreign function interface. A layer must exist above libffi that handles type conversions for values passed between the two languages. 

%package -n libffi6
Provides: %{name} = %{version}
Summary: FFI library

%description -n libffi6
Main FFI library


%package devel
Requires: %{name} = %{version}
Summary: libffi development files

%description devel
Contains development files and headers to build applications using libffi.

%prep
%setup -q

%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build

autoreconf -fi

%configure \
  LDFLAGS="-Wl,-brtl -Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib -L%{_libdir}" \
  --with-aix-soname=svr4 \
  --enable-shared \
  --disable-static \
  --disable-builddir \
  # end

%make_build

%install

%make_build "INSTALL=$PWD/install-sh -c" "INSTALL_DATA=$PWD/install-sh -c -m 644" "INSTALL_PROGRAM=$PWD/install-sh -c" "INSTALL_SCRIPT=$PWD/install-sh -c" DESTDIR=%{buildroot} install

find %{buildroot}/%{_libdir} -name \*.la | xargs rm

%files -n libffi6
%defattr(-, qsys, *none)

%{_libdir}/libffi.so.6

%files devel
%defattr(-, qsys, *none)

%{_libdir}/libffi.so

%{_includedir}/ffi.h
%{_includedir}/ffitarget.h

%{_libdir}/pkgconfig/libffi.pc

%{_mandir}/man3/ffi.3
%{_mandir}/man3/ffi_call.3
%{_mandir}/man3/ffi_prep_cif.3
%{_mandir}/man3/ffi_prep_cif_var.3
%{_infodir}/libffi.info

%changelog
